## gate.event
Class AnnotationEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--gate.event.GateEvent
                  |
                  +--gate.event.AnnotationEvent

All Implemented Interfaces:
  Serializable

public class AnnotationEvent
extends GateEvent

This class models events fired by an `Annotation`.

See Also:
  Serialized Form

Field Summary
`static int` `ANNOTATION_UPDATED` Event type used for situations when an annotation has been updated

Fields inherited from class gate.event.GateEvent
`FEATURES_UPDATED, type`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AnnotationEvent(Annotation source, int type)` Constructor.

Methods inherited from class gate.event.GateEvent
`getType`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### ANNOTATION_UPDATED

    public static final int ANNOTATION_UPDATED

  Event type used for situations when an annotation has been updated

Constructor Detail

### AnnotationEvent

    public AnnotationEvent(Annotation source,
                           int type)

  Constructor.
  Parameters:
    `source` - the `Annotation` that fired the event
    `type` - the type of the event